commit:     51b236b70b37764f5fed684df69b5e93fa6b80f1
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 11 16:52:01 2020 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Apr 11 18:47:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51b236b7

net-im/openmittsu: Version bump to 0.9.15.0.

Package-Manager: Portage-2.3.98, Repoman-2.3.22
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 net-im/openmittsu/Manifest                   |  1 +
 net-im/openmittsu/openmittsu-0.9.15.0.ebuild | 63 ++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/net-im/openmittsu/Manifest b/net-im/openmittsu/Manifest
index ac64148517e..d267bed729d 100644
--- a/net-im/openmittsu/Manifest
+++ b/net-im/openmittsu/Manifest
@@ -1,2 +1,3 @@
 DIST openmittsu-0.9.13.32.tar.xz 2078892 BLAKE2B 
4960d3046dfe45568f56ddc4ad77677992ac4dc4d618a926a15b35431955c8f30aa20ad236cc3143bc1a24f64a4635fdc072a1c9f921238f1283b81b3d6befb7
 SHA512 
671ce8ed1a6f9aa8d15ee0d72ce78e2b5aef556243efacec4b0b434eaf5b0bd1b34aa6a0391e42ead9007011cca88e7ba2649f16456a2bf74d22355d1f308a0f
 DIST openmittsu-0.9.13.46.tar.xz 2183136 BLAKE2B 
3935a00fae8aa937fdc2f629a7dbf2a06cf518fb3758e7c1e191247004fa4077f60dbe2a0e3fba9750405ec069c33b6336cc26f990947ecbb1dabfe3b7b586f6
 SHA512 
bd58189e7c714f74ec6271a94251f4222dcd4fdb8015d6d01ef57e860804ebfa97aab632f3db94da386bb58bbb674bb4db6b659d2c9ccdeedf8ddd9b026a99c4
+DIST openmittsu-0.9.15.0.tar.xz 2302908 BLAKE2B 
2800004968a1965d0c91197402618ae4ebaeb7a7d977e79654f296d7d2ca1466d26b86d99810e0502e9eced27e5a664dbb4b0113ec344367fb7b85557ebc0381
 SHA512 
9e00828053506cf233a4cede49c501da903cc36d49379b891e4186cf10cacfbd596b4d2b7ac551e2e6340a878bfa1155f8696e179ed9dd1c2ecbff61430ed7f9

diff --git a/net-im/openmittsu/openmittsu-0.9.15.0.ebuild 
b/net-im/openmittsu/openmittsu-0.9.15.0.ebuild
new file mode 100644
index 00000000000..00915580a10
--- /dev/null
+++ b/net-im/openmittsu/openmittsu-0.9.15.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils desktop
+
+DESCRIPTION="An open source chat client for Threema-style end-to-end encrypted 
chat networks"
+HOMEPAGE="https://www.openmittsu.de/";
+# git-archive-all.sh snapshot of https://github.com/blizzard4591/openMittsu.git
+SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz";
+
+LICENSE="GPL-2+ BitstreamVera OFL-1.1 Apache-2.0 CC0-1.0 MIT BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-db/qt5-sqlcipher
+       >=dev-libs/libsodium-1.0.11:=
+       >=dev-qt/qtcore-5.7.1:5=
+       >=dev-qt/qtgui-5.7.1:5=
+       >=dev-qt/qtmultimedia-5.7.1:5=[widgets]
+       >=dev-qt/qtnetwork-5.7.1:5=[ssl]
+       >=dev-qt/qtsql-5.7.1:5=[sqlite]
+       >=dev-qt/qtwidgets-5.7.1:5=
+       >=media-gfx/qrencode-3.4.4-r1:="
+DEPEND="${RDEPEND}
+       test? ( >=dev-cpp/gtest-1.8.0 )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.9.13.32-fix-tests.patch
+)
+
+DOCS=(
+       README.md
+       Example-client-configuration-file.ini
+       Example-contacts-file.txt
+)
+
+src_configure() {
+       local mycmakeargs=(
+               # set version manually, since autodetection works only with git
+               "-DOPENMITTSU_CUSTOM_VERSION_STRING=${PV%.*}-${PV##*.}-00000000"
+               "-DOPENMITTSU_DISABLE_VERSION_UPDATE_CHECK=ON"
+               "-DOPENMITTSU_ENABLE_TESTS=$(usex test)"
+       )
+       cmake-utils_src_configure
+}
+
+src_test() {
+       cd "${BUILD_DIR}" || die
+       ./openMittsuTests || die
+}
+
+src_install() {
+       local my_pn="openMittsu"
+       cmake-utils_src_install
+       newicon resources/icon.png ${my_pn}.png
+       make_desktop_entry ${my_pn} ${my_pn} ${my_pn}
+       rm "${ED}"/usr/bin/${my_pn}VersionInfo || die
+       rm -f "${ED}"/usr/bin/${my_pn}Tests || die
+}

Reply via email to